
using System;
using System.Net;
using System.Text;
using System.Text.RegularExpressions;

	public class yTGoogleTranslatori
	{
		   
		public static string TranslateText(string input, string languagePair)
    	{
      		return TranslateText(input, languagePair, System.Text.Encoding.UTF7);
    	}

		public static string TranslateText(string input, string languagePair, Encoding encoding) {
	      string url = String.Format("http://www.google.com/translate_t?hl=en&ie=UTF8&text={0}&langpair={1}", input, languagePair);
	
	      string result = String.Empty;
	
	      using (WebClient webClient = new WebClient())
	      {
	        webClient.Encoding = encoding;
	        result = webClient.DownloadString(url);
	      }
	
	      Match m = Regex.Match(result, "(?<=<span id=result_box dir=\"ltr\">)(.*?)(?=</span>)");
	
	      if (m.Success)
	        result = m.Value;
	
	      return result;
	    }
	}
